Skip to main content
PUT
/
v1
/
mock-apis
/
{mockApiId}
/
settings
/
certificate
Set mock API certificate settings
curl --request PUT \
  --url https://wmc.wiremockapi.cloud/v1/mock-apis/{mockApiId}/settings/certificate \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "certificate": {
    "rsa256PublicKey": "-----BEGIN RSA PUBLIC KEY-----\nMIIBIjANBg...kCAwEAAQ==\n-----END RSA PUBLIC KEY-----",
    "rsa256PrivateKey": "-----BEGIN RSA PRIVATE KEY-----\nMIIEvQIBAD...eXuQIDAQAB\n-----END RSA PRIVATE KEY-----",
    "x509Certificate": "-----BEGIN CERTIFICATE-----\nMIICpDCCAY...AwggEKAgEA\n-----END CERTIFICATE-----",
    "hmacSecret": "sup3r-s3cr3t-hmac-k3y"
  }
}
'
import requests

url = "https://wmc.wiremockapi.cloud/v1/mock-apis/{mockApiId}/settings/certificate"

payload = { "certificate": {
"rsa256PublicKey": "-----BEGIN RSA PUBLIC KEY-----
MIIBIjANBg...kCAwEAAQ==
-----END RSA PUBLIC KEY-----",
"rsa256PrivateKey": "-----BEGIN RSA PRIVATE KEY-----
MIIEvQIBAD...eXuQIDAQAB
-----END RSA PRIVATE KEY-----",
"x509Certificate": "-----BEGIN CERTIFICATE-----
MIICpDCCAY...AwggEKAgEA
-----END CERTIFICATE-----",
"hmacSecret": "sup3r-s3cr3t-hmac-k3y"
} }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
certificate: {
rsa256PublicKey: '-----BEGIN RSA PUBLIC KEY-----\nMIIBIjANBg...kCAwEAAQ==\n-----END RSA PUBLIC KEY-----',
rsa256PrivateKey: '-----BEGIN RSA PRIVATE KEY-----\nMIIEvQIBAD...eXuQIDAQAB\n-----END RSA PRIVATE KEY-----',
x509Certificate: '-----BEGIN CERTIFICATE-----\nMIICpDCCAY...AwggEKAgEA\n-----END CERTIFICATE-----',
hmacSecret: 'sup3r-s3cr3t-hmac-k3y'
}
})
};

fetch('https://wmc.wiremockapi.cloud/v1/mock-apis/{mockApiId}/settings/certificate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "certificate": {
    "rsa256PublicKey": "-----BEGIN RSA PUBLIC KEY-----\nMIIBIjANBg...kCAwEAAQ==\n-----END RSA PUBLIC KEY-----",
    "rsa256PrivateKey": "-----BEGIN RSA PRIVATE KEY-----\nMIIEvQIBAD...eXuQIDAQAB\n-----END RSA PRIVATE KEY-----",
    "x509Certificate": "-----BEGIN CERTIFICATE-----\nMIICpDCCAY...AwggEKAgEA\n-----END CERTIFICATE-----",
    "hmacSecret": "sup3r-s3cr3t-hmac-k3y"
  }
}
{
"errors": [
{
"title": "Invalid query parameter format",
"detail": "The offset parameter value must be a positive integer"
}
]
}
"Credentials are required to access this resource."
{
"errors": [
{
"title": "Forbidden",
"source": {}
}
]
}
{
"code": 404,
"message": "HTTP 404 Not Found"
}
{
"errors": [
{
"title": "Invalid JSON",
"detail": "json pointer /mockApi not present; it is required and must have json type object",
"source": {}
}
]
}

Authorizations

Authorization
string
header
required

Your API key prefixed by 'Token '

Path Parameters

mockApiId
string
required

The ID of the Mock API

Required string length: 5 - 10
Example:

"jjl8y"

Body

application/json
certificate
object

Response

Settings successfully updated

certificate
object